"Dashing Through The Snow" quest is bugged, it is impossible to complete it
Closed, ResolvedPublic

Description

What is happening:
Ensemble asks me to collect items for a mission (Five Timberwolf branches and one lantern crystal ), but when I collect these items in my inventory, nothing happens.

What should be happening:
The quest should progress every time I collect one of the items it asks for

Steps to reproduce the issue:
-Launch game
-Spawn in the Crystal Kingdom
-Talk to Ensemble
-Got felt from marvel
-Got one lantern crystal and five Timberwolf branches

Reproduced by:
Forum name of anyone having reproduced this issue, if any

Screenshots:
https://imgur.com/a/ZixVCBw

Neexbie created this task.Jan 28 2021, 5:20 AM
Neexbie removed a subscriber: Neexbie.Feb 9 2021, 2:19 AM
Rattletrap closed this task as Resolved.May 26 2021, 11:49 PM

Image shows that you did not have the felt from Marvell in your inventory. Ensemble will not create unless all materials have been gathered and are in your inventory.